package com.byteslounge.jsf;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

@ManagedBean
@RequestScoped
public class TestBean {

	private String title;
	private List<String> items;

	@PostConstruct
	private void init() {
		title = "JSF - cache component rendering";
		items = new ArrayList<>();
		items.add("Item 1");
		items.add("Item 2");
		items.add("Item 3");
		System.out.println("TestBean initialized");
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public List<String> getItems() {
		return items;
	}

	public void setItems(List<String> items) {
		this.items = items;
	}

}
